<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="FAQs">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="To troubleshoot this issue, you need to take a look at the task log. To access the task log, click the Tasks tab. " /><title>I set up my mail server, but it's not sending any e-mail. How can I troubleshoot this issue?</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#19-faqs/faq-cannot-send-email.html">Open topic with navigation</a>
        </p>
        <h3 class="FAQ">I set up my mail server, but it's not sending any e-mail. How can I troubleshoot this issue?</h3>
        <p>To troubleshoot this issue, you need to take a look at the task log. To access the task log, click the <b class="UISelection">Tasks </b>tab. Find
the campaign task and click on the task name. When the task log appears, search for any text highlighted in red.
Any red text indicates that Metasploit encountered an error while processing the task. Errors like “Server refused
our mail” indicates an issue with the mail server being able to authenticate the login or send the e-mail.</p>
        <p>Here are some of the most common restrictions that may prevent you from using your mail server to send phishing e-mails: </p>
        <ul>
            <li value="1"> Your mail server performs reverse DNS checks and has rejected mail from Metasploit because it thinks that the e-mail is spam. If this is the case, you need to use a mail server that has less restrictive checks for spam, malicious files, and any type of e-mail abuse. Although these checks are in place to ensure that your e-mail infrastructure is secure, they prevent you from sending e-mails from <span class="VariablesProductName">Metasploit Pro</span>.</li>
            <li value="2">The port that you are using to send mail is blocked. The most common port used to send mail is port 25. If this port is blocked, try ports 465, 587, or 2525.</li>
            <li value="3">The mail server is unable to authenticate the login. Check the authentication type configured for your mail server. By default, Metasploit uses the plain auth type.</li>
        </ul>
        <p>&#160;</p>
    </body>
</html>